--[[
	Project: zBag
	Version: 1.0
	Author: Zoc ( http://www.riftui.com/forums/member.php?u=1215 )
	
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
]]

--------------------------------------------------------------------
-- Item Listing Functions

-- Print the list of items inside the specified bag
local function PrintInventoryList( bagNumber )
	bagSize = Library.LibItemWidget.GetBagSize( bagNumber )
	for i=1, bagSize do
		if ( Library.LibItemWidget.GetBagItem( bagNumber, i ) ~= nil ) then
			print( "Item #" .. i ..": " .. Library.LibItemWidget.GetBagItem( bagNumber, i )["name"] )
		end
		
	end
end

-- Iterates through all player bags and call printInventoryList() for each of them
local function PrintBagContents()
	for bagNumber=1, 5 do
		print("Listing inventory of bag #" .. bagNumber .. "[" .. Library.LibItemWidget.GetBagSize( bagNumber ) .." slots]" )
		PrintInventoryList( bagNumber )
	end
	

end

table.insert(Command.Slash.Register("pb"), {PrintBagContents, "zBag", "pb"})

